curl --request GET \
--url https://admin.snagsolutions.io/api/users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/users")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isSnagSuperAdmin": true,
"walletAddress": "<string>",
"temporaryLoyaltyUser": true,
"privyUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifications": true,
"delegationsFrom": [
{
"walletAddress": "<string>"
}
],
"userMetadata": [
{
"emailAddress": "<string>",
"emailVerifiedAt": "<string>",
"discordUser": "<string>",
"discordVerifiedAt": "<string>",
"twitterUser": "<string>",
"twitterVerifiedAt": "<string>",
"instagramUser": "<string>",
"instagramVerifiedAt": "<string>",
"logoUrl": "<string>",
"displayName": "<string>",
"location": "<string>",
"bio": "<string>",
"portfolioUrl": "<string>",
"meta": "<string>",
"userGroupId": "<string>",
"walletGroupIdentifier": "<string>",
"twitterUserFollowersCount": 123,
"telegramUserId": "<string>",
"telegramVerifiedAt": "<string>",
"telegramUsername": "<string>",
"isBlocked": true,
"steamUserId": "<string>",
"steamUsername": "<string>",
"externalLoyaltyScore": "<string>",
"epicUsername": "<string>",
"epicAccountIdentifier": "<string>",
"googleUserId": "<string>",
"googleUser": "<string>",
"YTChannelId": "<string>",
"tiktokUser": "<string>",
"tiktokUserId": "<string>",
"redditUserId": "<string>",
"redditUser": "<string>",
"githubUser": "<string>",
"githubUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"verifiedLocallyAt": "<string>"
}
],
"websiteUserAttributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"websiteUserAttributeValues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"websiteUserAttributeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"referrers": [
{
"eligible": true,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"referralCode": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
}
}
}
]
}
],
"hasNextPage": true
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Get users
This endpoint allows you to get users
curl --request GET \
--url https://admin.snagsolutions.io/api/users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/users")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isSnagSuperAdmin": true,
"walletAddress": "<string>",
"temporaryLoyaltyUser": true,
"privyUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifications": true,
"delegationsFrom": [
{
"walletAddress": "<string>"
}
],
"userMetadata": [
{
"emailAddress": "<string>",
"emailVerifiedAt": "<string>",
"discordUser": "<string>",
"discordVerifiedAt": "<string>",
"twitterUser": "<string>",
"twitterVerifiedAt": "<string>",
"instagramUser": "<string>",
"instagramVerifiedAt": "<string>",
"logoUrl": "<string>",
"displayName": "<string>",
"location": "<string>",
"bio": "<string>",
"portfolioUrl": "<string>",
"meta": "<string>",
"userGroupId": "<string>",
"walletGroupIdentifier": "<string>",
"twitterUserFollowersCount": 123,
"telegramUserId": "<string>",
"telegramVerifiedAt": "<string>",
"telegramUsername": "<string>",
"isBlocked": true,
"steamUserId": "<string>",
"steamUsername": "<string>",
"externalLoyaltyScore": "<string>",
"epicUsername": "<string>",
"epicAccountIdentifier": "<string>",
"googleUserId": "<string>",
"googleUser": "<string>",
"YTChannelId": "<string>",
"tiktokUser": "<string>",
"tiktokUserId": "<string>",
"redditUserId": "<string>",
"redditUser": "<string>",
"githubUser": "<string>",
"githubUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"verifiedLocallyAt": "<string>"
}
],
"websiteUserAttributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"websiteUserAttributeValues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"websiteUserAttributeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"referrers": [
{
"eligible": true,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"referralCode": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
}
}
}
]
}
],
"hasNextPage": true
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Authorizations
Query Parameters
The ID of the website
"123e4567-e89b-12d3-a456-426614174000"
The ID of the organization
"123e4567-e89b-12d3-a456-426614174001"
The wallet address of the user
"0x1234567890abcdef1234567890abcdef12345678"
Pagination cursor to start after a specific user ID
"123e4567-e89b-12d3-a456-426614174020"
Number of users to return
1 <= x <= 100010
Twitter username of the user
"elonmusk"
Discord username of the user
"elonmusk"
Steam username of the user
"elonmusk"
Steam ID of the user
"1234567890"
Telegram username of the user
"elonmusk"
Telegram ID of the user
"1234567890"
TikTok username of the user
"elonmusk"
Reddit username of the user
"elonmusk"
Reddit ID of the user
"1234567890"
Email address of the user
"elonmusk@example.com"
Whether to include delegations in the response
true
The ID of the user group
"123e4567-e89b-12d3-a456-426614174002"
External identifier for the user group controlled by you
External identifier for the user
"123e4567"
The address of the user
"0x1234567890abcdef1234567890abcdef12345678"
The ID of the user
"123e4567-e89b-12d3-a456-426614174001"
Was this page helpful?